Create or update a workspace
curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "workspace",
"cluster_fqn": "<string>",
"name": "<string>",
"environment_name": "<string>",
"labels": {},
"annotations": {},
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
]
},
"dryRun": false
}
'import requests
url = "https://{controlPlaneURL}/api/svc/v1/workspaces"
payload = {
"manifest": {
"type": "workspace",
"cluster_fqn": "<string>",
"name": "<string>",
"environment_name": "<string>",
"labels": {},
"annotations": {},
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
]
},
"dryRun": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
manifest: {
type: 'workspace',
cluster_fqn: '<string>',
name: '<string>',
environment_name: '<string>',
labels: {},
annotations: {},
collaborators: [{subject: '<string>', role_id: '<string>'}],
permissions: [{resource_fqn: '<string>', resource_type: '<string>', role_id: '<string>'}]
},
dryRun: false
})
};
fetch('https://{controlPlaneURL}/api/svc/v1/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "jqfwg345gi25n5ju2yz5iz6m",
"fqn": "<string>",
"tenantName": "<string>",
"clusterId": "jqfwg345gi25n5ju2yz5iz6m",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "workspace",
"cluster_fqn": "<string>",
"name": "<string>",
"environment_name": "<string>",
"labels": {},
"annotations": {},
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
],
"ownedBy": {
"account": "<string>"
}
},
"accountId": "jqfwg345gi25n5ju2yz5iz6m",
"environmentId": "jqfwg345gi25n5ju2yz5iz6m",
"isSystemWs": true,
"createdBy": "<string>"
}
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Workspaces
Create or update a workspace
Create a new workspace or update an existing one using the provided WorkspaceManifest. Matching is by name and cluster — if both match an existing workspace it is updated, otherwise a new one is created.
PUT
/
api
/
svc
/
v1
/
workspaces
Create or update a workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
The created or updated workspace.
The workspace object.
Show child attributes
Show child attributes
Was this page helpful?
⌘I